
# CloudFront Cache Path Invalidate

Cloudfront Cache Path Invalidate module, you can manage the cache clear of
Amazon Cloudfront through a setting form.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/cloudfront_cache_path_invalidate).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/cloudfront_cache_path_invalidate).

## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers

## Requirements

This module requires the following :
- Drupal 10.x
- CloudFront Setup
    AWS Distribution ID
    AWS Access Key
    AWS Secret Key
    AWS Region

## Installation

Install the CloudFront Cache Path Invalidate:
Download it from [CloudFront Cache Path Invalidate](https://www.drupal.org/project/cloudfront_cache_path_invalidate) and install it on your website.

- With Composer
  `$ composer require 'drupal/cloudfront_cache_path_invalidate'`

## Configuration
This needs the following settings:
Please use below $settings with your AWS Credential in settings.php file

$settings['aws.distributionid'] = '';
$settings['aws.region'] = '';
$settings['s3fs.access_key'] = '';
$settings['s3fs.secret_key'] = '';

## Maintainers
- Prashant Mishra - [PrashantMishra](https://www.drupal.org/u/prashant-mishra)